swill
========

swill is a Mastodon command line interface.

You can find releases on [releases.gutmet.org](https://releases.gutmet.org) or
build it yourself.

build
-----

Check out the repository and compile with

```
go build -o swill
```


usage
-----

To update your status with text of any length and any number of JPGs, PNGs, GIFs, MP4s:

```
swill status STATUS [FILE1 FILE2 ...]
```

To get the timeline of a specific user:

```
swill timeline USERNAME
```


On first use, swill will ask you to register a new app and create an access token. Those values will be stored in HOME/.swill/ for later use. Include "https://" in your server URL if appropriate.

swill will automatically split large status messages and multiple files into separate statuses belonging to the same thread.

Each command can use a go text template to format the printed results - pass a file name to '--template'. The template is executed with a slice of []*mastodon.Status. See go-mastodon for available data fields.

final note
----------

swill does not sanitize/validate user input.
